Reference Manual

Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# Inti::G::SignalProxy< ObjectType, SignalType > Class Template Reference

A proxy for manipulating a protected signal (connection, mostly). More...

`#include <inti/glib/signals.h>`

List of all members.

## Public Member Functions

- Connection connect (const SlotType *slot, bool after=false) const
    Connect a slot to the signal.

## Detailed Description

### template<typename ObjectType, typename SignalType>
class Inti::G::SignalProxy< ObjectType, SignalType >

A proxy for manipulating a protected signal (connection, mostly).

SignalProxy is used to access the connection method of a protected signal.

## Member Function Documentation

template<typename ObjectType, typename SignalType>
Connection Inti::G::SignalProxy< ObjectType, SignalType >::connect | ( | const SlotType * | slot,
|  | bool | after = false
| ) | const`[inline]`

  | Connect a slot to the signal. Parameters:
  slot | The slot object for a class method or static function.
  after | Set true to call the user-defined slot after the signal, or false to let the signal's default behavior preside.
Returns: A connection object. The connection object can be used to control the signal connection, either by calling block(), unblock() or disconnect(). You don't need to call discconnect() unless you have good reason to. GTK+ signals are automatically disconnected when an object gets destroyed.

The documentation for this class was generated from the following file:

- glib/signals.h

Main Page - Footer